Create a mock wire repayment
curl --request POST \
--url https://api-sandbox.circle.com/v1/credit/mocks/repayments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fiatAccountId": "be863d4a-928f-4f54-9af0-c94f5a80ce49",
"amount": {
"amount": "3.14",
"currency": "USD"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/credit/mocks/repayments"
payload = {
"fiatAccountId": "be863d4a-928f-4f54-9af0-c94f5a80ce49",
"amount": {
"amount": "3.14",
"currency": "USD"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fiatAccountId: 'be863d4a-928f-4f54-9af0-c94f5a80ce49',
amount: {amount: '3.14', currency: 'USD'}
})
};
fetch('https://api-sandbox.circle.com/v1/credit/mocks/repayments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"trackingRef": "CIR3AZQ4GS",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"status": "pending"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Create a mock wire repayment
In the sandbox environment, initiate a mock wire repayment that simulates an incoming wire payment to repay an outstanding credit transfer. The fiat account will be automatically linked as a repayment account if not already linked.
POST
/
v1
/
credit
/
mocks
/
repayments
Create a mock wire repayment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successfully created a mock wire repayment.
Show child attributes
Show child attributes
Was this page helpful?
⌘I